# This spec is backported to ALTLinux 4.1 automatically by rpmbph script. Do not edit it.
#
%define beta beta11
%define subbeta .1
%define name2 ardour2

Name: ardour
Version: 2.4.1
Release: alt0.M41.1

License: GPL
Group: Sound
Url: http://ardour.org

Packager: Alex Karpov <karpov@altlinux.ru>

Summary: Ardour is a multichannel hard disk recorder and digital audio workstation

Source: %name-%version.tar.bz2

Patch0: %name-2.3-alt.patch
Patch1: %name-2.0rc1-x86_64-alt.patch
Patch2: %name-2.0%beta%subbeta+flac-1.1.3.patch
Patch3: %name-%version-link.patch

## Automatically added by buildreq on Tue Mar 18 2008
#BuildRequires: boost-devel cvs flex gcc-c++ ghostscript-utils gnome-libs-devel jackit-devel libalsa-devel libfftw3-devel libflac-devel libgnomecanvasmm-devel liblo-devel liblrdf-devel libsamplerate-devel libusb-devel libxslt-devel rcs scons swig tetex-latex libsoundtouch-devel

#BuildRequires: libalsa-devel
# libsndfile-devel

Requires: gtk2-theme-clearlooks

# Automatically added by buildreq on Sat May 10 2008
BuildRequires: boost-devel cvs flex gcc-c++ ghostscript-utils jackit-devel libalsa-devel libfftw3-devel libflac-devel libgnomecanvasmm-devel liblo-devel liblrdf-devel libsamplerate-devel libusb-devel libxslt-devel rcs scons swig tetex-latex libsoundtouch-devel

BuildRequires: rpm-build-compat >= 0.95

%description
Ardour is a multichannel hard disk recorder (HDR) and digital audio 
workstation (DAW). It is capable of simultaneous recording of 24 or more
channels of 32 bit audio at 48kHz. Ardour is intended to function as a
"professional" HDR system, replacing dedicated hardware solutions such
as the Mackie HDR and provide the same or better functionality as 
proprietary software DAWs such as ProTools, Samplitude, Logic Audio,
Nuendo and Cubase VST/SX.

%prep
%setup -qn %name-%version
%patch0
%patch1
sed -i s,@libdir@,%_libdir, SConstruct
%patch2 -p1
%patch3

%build
scons PREFIX=/usr DIST_TARGET=none SYSLIBS=yes \
%ifarch x86_64
DIST_TARGET=x86_64
%endif

%install
mkdir %buildroot
scons DESTDIR=%buildroot install \
%ifarch x86_64
DIST_TARGET=x86_64
%endif

%add_findprov_lib_path %_libdir/%name2
%find_lang %name

%files -f %name.lang
%_sysconfdir/%name2/
%_bindir/*
%_libdir/%name2/
%_datadir/%name2/


%changelog
* Thu Aug 07 2008 Yuri N. Sedunov <aris@altlinux.org> 2.4.1-alt0.M41.1
- backport to ALTLinux 4.1 (by rpmbph script)

* Fri May 30 2008 Alex Karpov <karpov@altlinux.ru> 2.4.1-alt1
- new version

* Wed Mar 19 2008 Alex Karpov <karpov@altlinux.ru> 2.3.1-alt1.2
- more build requirements

* Wed Mar 19 2008 Alex Karpov <karpov@altlinux.ru> 2.3.1-alt1.1
- updated build requirements

* Thu Mar 06 2008 Alex Karpov <karpov@altlinux.ru> 2.3.1-alt1
- 2.3.1

* Tue Jan 22 2008 Alex Karpov <karpov@altlinux.ru> 2.2-alt1
- 2.2

* Mon Oct 01 2007 Alex Karpov <karpov@altlinux.ru> 2.1-alt1
- 2.1 

* Mon Aug 27 2007 Alex Karpov <karpov@altlinux.ru> 2.0.5-alt1
- 2.0.5

* Wed Jul 11 2007 Alex Karpov <karpov@altlinux.ru> 2.0.3-alt1
- 2.0.3

* Thu May 10 2007 Alex Karpov <karpov@altlinux.ru> 2.0.2-alt1
- 2.0.2 upstream bugfix release

* Fri May 04 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt7
- a wrong release number fix

* Thu May 03 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt1
- 2.0 upstream release

* Tue Feb 20 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt6beta11.1
- patch for flac-1.1.3 support by Led <led@> (#10876 fixed)

* Mon Feb 12 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt5beta11.1
- spec update and patch for x86_64 by Damir Shayhutdinov <damir@>

* Fri Feb 09 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt4beta11.1
- arrgh.. who change name of clearlooks's rpm? fixed

* Fri Feb 09 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt3beta11.1
- fixed unmets for x86_64

* Thu Feb 08 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt2beta11.1
- fixed build for x86_64

* Tue Jan 23 2007 Alex Karpov <karpov@altlinux.ru> 2.0-alt1beta11.1
- picked from orphaned

